---
title: Users
description: View specific users that are members of your InfluxDB Cloud organization.
url: https://docs.influxdata.com/influxdb/cloud/api/users/
estimated_tokens: 7887
product: InfluxDB Cloud (TSM)
version: cloud
publisher: InfluxData
canonical: https://docs.influxdata.com/influxdb/cloud/api/users/
---

[Download InfluxDB Cloud (TSM) API Spec](/openapi/influxdb-cloud-v2-api.yml)

View specific users that are members of your InfluxDB Cloud organization.

GET`/api/v2/me`

### Retrieve the currently authenticated user

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/me" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200Success. The response body contains the currently authenticated user.

`id`string

The user ID.

`links`object

Example:`{"self":"/api/v2/users/1"}`

`self`string \<uri\>

`name`requiredstring

The user name.

`status`string

The status of a user.
An inactive user can’t read or write resources.

Allowed:`active`, `inactive`

Default:`active`

401

Unauthorized. The error may indicate one of the following:

* The `Authorization: Token` header is missing or malformed.
* The API token value is missing from the header.
* The token doesn’t have sufficient permissions to write to this organization and bucket.

`code`string

The HTTP status code description. Default is `unauthorized`.

Allowed:`unauthorized`

`message`string

A human-readable message that may contain detail about the error.

500Internal server error.
The server encountered an unexpected situation.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PUT`/api/v2/me/password`

### Update a password

Updates the password for the signed-in [user](/influxdb/cloud/reference/glossary/#user).

This endpoint represents the third step in the following three-step process to let a
user with a user session update their password:

1. Pass the user’s [Basic authentication credentials](#section/Authentication/BasicAuthentication) to the `POST /api/v2/signin`endpoint to create a user session and generate a session cookie.
2. From the response in the first step, extract the session cookie (`Set-Cookie`) header.
3. Pass the following in a request to the `PUT /api/v2/me/password` endpoint:
   * The `Set-Cookie` header from the second step
   * The `Authorization Basic` header with the user’s *Basic authentication* credentials
   * `{"password": "NEW_PASSWORD"}` in the request body

#### InfluxDB Cloud

* Doesn’t let you manage user passwords through the API.
  Use the InfluxDB Cloud user interface (UI) to update your password.

#### Related endpoints

* [Signin](#tag/Signin)
* [Signout](#tag/Signout)
* [Users](#tag/Users)

#### Related guides

* [InfluxDB Cloud - Change your password](/influxdb/cloud/account-management/change-password/)
* [InfluxDB OSS - Change your password](/influxdb/v2/users/change-password/)

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

The new password.

Content-Type:`application/json`

`password`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request PUT \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/me/password" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "password": "PASSWORD"
}'
```

#### Responses

204Success. The password is updated.

400

Bad request.

#### InfluxDB Cloud

* Doesn’t let you manage user passwords through the API; always responds with this status.

#### InfluxDB OSS v2

* Doesn’t understand a value passed in the request.

401

Unauthorized. The error may indicate one of the following:

* The `Authorization: Token` header is missing or malformed.
* The API token value is missing from the header.
* The token doesn’t have sufficient permissions to write to this organization and bucket.

`code`string

The HTTP status code description. Default is `unauthorized`.

Allowed:`unauthorized`

`message`string

A human-readable message that may contain detail about the error.

defaultUnsuccessful authentication

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

GET`/api/v2/users`

### List users

Lists [users](/influxdb/cloud/reference/glossary/#user).

To limit which users are returned, pass query parameters in your request.

#### InfluxDB Cloud

* InfluxDB Cloud doesn’t allow listing all users through the API.
  Use the InfluxDB Cloud user interface (UI) to manage account information.

#### Required permissions for InfluxDB Cloud

|       Action       |        Permission required        |        Restriction         |
|--------------------|-----------------------------------|----------------------------|
|   List all users   |          Operator token           |InfluxData internal use only|
|List a specific user|`read-users` or `read-user USER_ID`|                            |

*`USER_ID`* is the ID of the user that you want to retrieve.

#### Related guides

* [Manage users](/influxdb/cloud/organizations/users/)

#### Parameters

##### Query parameters

`name`string

A user name.
Only lists the specified [user](/influxdb/cloud/reference/glossary/#user).

`id`string

A user id.
Only lists the specified [user](/influxdb/cloud/reference/glossary/#user).

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200

Success. The response contains a list of `users`.

#### InfluxDB Cloud

* Returns an empty `users` list if you don’t pass *`id`* or *`name`* parameters and don’t use an*operator token*.
  Only InfluxData can access InfluxDB Cloud operator tokens.

`links`object

`self`string \<uri\>

`users`object[]

401Unauthorized.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

422

Unprocessable entity.

The error may indicate one of the following problems:

* The request body isn’t valid–the request is well-formed,
  but InfluxDB can’t process it due to semantic errors.
* You passed a parameter combination that InfluxDB doesn’t support.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

500Internal server error.
The server encountered an unexpected situation.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

POST`/api/v2/users`

### Create a user

(InfluxData internal use only)

Creates and returns a [user](/influxdb/cloud/reference/glossary/#user)that can access InfluxDB.

#### InfluxDB Cloud

* InfluxDB Cloud Doesn’t let you manage users through the API.
  Use the InfluxDB Cloud user interface (UI) to manage account information.

#### Required permissions for InfluxDB Cloud

|  Action   |Permission required|        Restriction         |
|-----------|-------------------|----------------------------|
|Create user|  Operator token   |InfluxData internal use only|

#### Related guides

* [Manage users](/influxdb/cloud/organizations/users/)

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

In the request body, provide the user.

Content-Type:`application/json`

`id`string

`name`requiredstring

`org_id`string

`role`string

Allowed:`owner`, `member`

`status`string

If inactive the user is inactive.

Allowed:`active`, `inactive`

Default:`active`

Example request[Ask AI about this](#)

```sh
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "name": "NAME",
  "org_id": "ORG_ID",
  "role": "owner",
  "status": "active"
}'
```

#### Responses

201Success.
The response body contains the user.

`id`string

The user ID.

`links`object

Example:`{"self":"/api/v2/users/1"}`

`self`string \<uri\>

`name`requiredstring

The user name.

`status`string

The status of a user.
An inactive user can’t read or write resources.

Allowed:`active`, `inactive`

Default:`active`

401

Unauthorized.

#### InfluxDB Cloud

* Returns this error if the request doesn’t use an *operator token*.
  Only InfluxData can access InfluxDB Cloud operator tokens.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

422

Unprocessable entity.

The error may indicate one of the following problems:

* The request body isn’t valid–the request is well-formed,
  but InfluxDB can’t process it due to semantic errors.
* You passed a parameter combination that InfluxDB doesn’t support.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

500Internal server error.
The server encountered an unexpected situation.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

GET`/api/v2/users/{userID}`

### Retrieve a user

Retrieves a [user](/influxdb/cloud/reference/glossary/#user).

#### Related guides

* [Manage users](/influxdb/cloud/organizations/users/)

#### Parameters

##### Path parameters

`userID`requiredstring

A user ID.
Retrieves the specified [user](/influxdb/cloud/reference/glossary/#user).

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users/{userID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200Success. The response body contains the user.

`id`string

The user ID.

`links`object

Example:`{"self":"/api/v2/users/1"}`

`self`string \<uri\>

`name`requiredstring

The user name.

`status`string

The status of a user.
An inactive user can’t read or write resources.

Allowed:`active`, `inactive`

Default:`active`

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PATCH`/api/v2/users/{userID}`

### Update a user

(InfluxData internal use only)

Updates a [user](/influxdb/cloud/reference/glossary/#user) and returns the user.

#### InfluxDB Cloud

* Doesn’t let you manage users through the API.
  Use the InfluxDB Cloud user interface (UI) to manage account information.

#### Required permissions for InfluxDB Cloud

|  Action   |Permission required|        Restriction         |
|-----------|-------------------|----------------------------|
|Update user|  Operator token   |InfluxData internal use only|

#### Related guides

* [Manage users](/influxdb/cloud/organizations/users/)

#### Parameters

##### Path parameters

`userID`requiredstring

A user ID.
Updates the specified [user](/influxdb/cloud/reference/glossary/#user).

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

The user update to apply.

Content-Type:`application/json`

`id`string

`name`requiredstring

`org_id`string

`role`string

Allowed:`owner`, `member`

`status`string

If inactive the user is inactive.

Allowed:`active`, `inactive`

Default:`active`

Example request[Ask AI about this](#)

```sh
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users/{userID}" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "name": "NAME",
  "org_id": "ORG_ID",
  "role": "owner",
  "status": "active"
}'
```

#### Responses

200Success. The response body contains the updated user.

`id`string

The user ID.

`links`object

Example:`{"self":"/api/v2/users/1"}`

`self`string \<uri\>

`name`requiredstring

The user name.

`status`string

The status of a user.
An inactive user can’t read or write resources.

Allowed:`active`, `inactive`

Default:`active`

400

Bad request.
The response body contains detail about the error.

#### InfluxDB OSS v2

* Returns this error if an incorrect value is passed in the `org` parameter or `orgID` parameter.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

401

Unauthorized. The error may indicate one of the following:

* The `Authorization: Token` header is missing or malformed.
* The API token value is missing from the header.
* The token doesn’t have sufficient permissions to write to this organization and bucket.

`code`string

The HTTP status code description. Default is `unauthorized`.

Allowed:`unauthorized`

`message`string

A human-readable message that may contain detail about the error.

404

Not found.
A requested resource was not found.
The response body contains the requested resource type and the name value
(if you passed it)–for example:

* `"organization name \"my-org\" not found"`
* `"organization not found"`: indicates you passed an ID that did not match
  an organization.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

500Internal server error.
The server encountered an unexpected situation.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

DELETE`/api/v2/users/{userID}`

### Delete a user

(InfluxData internal use only)

Deletes a [user](/influxdb/cloud/reference/glossary/#user).

For security purposes, once an InfluxDB user account is deleted from an
organization, the user (and their token) cannot be reactivated.

#### InfluxDB Cloud

* Doesn’t let you manage users through the API.
  Use the InfluxDB Cloud user interface (UI) to manage account information.

#### Required permissions

|  Action   |Permission required|        Restriction         |
|-----------|-------------------|----------------------------|
|Delete user|  Operator token   |InfluxData internal use only|

#### Related guides

* [Manage users](/influxdb/cloud/organizations/users/)

#### Parameters

##### Path parameters

`userID`requiredstring

A user ID.
Deletes the specified [user](/influxdb/cloud/reference/glossary/#user).

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users/{userID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

204Success. The user is deleted.

400

Bad request.
The response body contains detail about the error.

#### InfluxDB OSS v2

* Returns this error if an incorrect value is passed in the `org` parameter or `orgID` parameter.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

401

Unauthorized. The error may indicate one of the following:

* The `Authorization: Token` header is missing or malformed.
* The API token value is missing from the header.
* The token doesn’t have sufficient permissions to write to this organization and bucket.

`code`string

The HTTP status code description. Default is `unauthorized`.

Allowed:`unauthorized`

`message`string

A human-readable message that may contain detail about the error.

404

Not found.
A requested resource was not found.
The response body contains the requested resource type and the name value
(if you passed it)–for example:

* `"organization name \"my-org\" not found"`
* `"organization not found"`: indicates you passed an ID that did not match
  an organization.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

500Internal server error.
The server encountered an unexpected situation.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

POST`/api/v2/users/{userID}/password`

### Update a password

Updates a user password.

#### InfluxDB Cloud

* Doesn’t allow you to manage user passwords through the API.
  Use the InfluxDB Cloud user interface (UI) to update a password.

#### Related guides

* [InfluxDB Cloud - Change your password](/influxdb/cloud/account-management/change-password/)
* [InfluxDB OSS - Change your password](/influxdb/v2/users/change-password/)

#### Parameters

##### Path parameters

`userID`requiredstring

The ID of the user to set the password for.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

The new password to set for the user.

Content-Type:`application/json`

`password`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users/{userID}/password" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "password": "PASSWORD"
}'
```

#### Responses

204Success. The password is updated.

400

Bad request.

#### InfluxDB Cloud

* Doesn’t allow you to manage passwords through the API; always responds with this status.

#### InfluxDB OSS v2

* Doesn’t understand a value passed in the request.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

PUT`/api/v2/users/{userID}/password`

### Update a password

Updates a user password.

Use this endpoint to let a user authenticate with[Basic authentication credentials](#section/Authentication/BasicAuthentication)and set a new password.

#### InfluxDB Cloud

* Doesn’t allow you to manage user passwords through the API.
  Use the InfluxDB Cloud user interface (UI) to update a password.

#### Related guides

* [InfluxDB Cloud - Change your password](/influxdb/cloud/account-management/change-password/)
* [InfluxDB OSS - Change your password](/influxdb/v2/users/change-password/)

#### Parameters

##### Path parameters

`userID`requiredstring

The ID of the user to set the password for.

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

#### Request bodyrequired

The new password to set for the user.

Content-Type:`application/json`

`password`requiredstring

Example request[Ask AI about this](#)

```sh
curl --request PUT \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/users/{userID}/password" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "password": "PASSWORD"
}'
```

#### Responses

204Success. The password is updated.

400

Bad request.

#### InfluxDB Cloud

* Doesn’t allow you to manage passwords through the API; always responds with this status.

#### InfluxDB OSS v2

* Doesn’t understand a value passed in the request.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

defaultNon 2XX error response from server.

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

#### Related

* [Manage users](/influxdb/cloud/organizations/users/)
| Action | Permission required | Restriction |
| --- | --- | --- |
| Action | Permission required | Restriction |
| List all users | Operator token | InfluxData internal use only |
| List a specific user | read-users  or  read-user USER_ID |  |

| Action | Permission required | Restriction |
| --- | --- | --- |
| Action | Permission required | Restriction |
| Create user | Operator token | InfluxData internal use only |

| Action | Permission required | Restriction |
| --- | --- | --- |
| Action | Permission required | Restriction |
| Update user | Operator token | InfluxData internal use only |

| Action | Permission required | Restriction |
| --- | --- | --- |
| Action | Permission required | Restriction |
| Delete user | Operator token | InfluxData internal use only |
